module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = "./src/index.ts");
/******/ })
/************************************************************************/
/******/ ({

/***/ "./src/graphql/index.ts":
/*!******************************!*\
  !*** ./src/graphql/index.ts ***!
  \******************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(/*! ./resolvers */ "./src/graphql/resolvers/index.ts"));
__export(__webpack_require__(/*! ./schemas */ "./src/graphql/schemas/index.ts"));


/***/ }),

/***/ "./src/graphql/resolvers/index.ts":
/*!****************************************!*\
  !*** ./src/graphql/resolvers/index.ts ***!
  \****************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(/*! ./resolver */ "./src/graphql/resolvers/resolver.ts"));


/***/ }),

/***/ "./src/graphql/resolvers/resolver.ts":
/*!*******************************************!*\
  !*** ./src/graphql/resolvers/resolver.ts ***!
  \*******************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const graphql_tag_1 = __importDefault(__webpack_require__(/*! graphql-tag */ "graphql-tag"));
const EDITOR_CONTEXT_FRAGMENT = graphql_tag_1.default `
    fragment context on Context {
        resource
        resourceSet
        resourceScheme
        resourceLangId
        resourceExtName
        resourceFilename
        isFileSystemResource
    }
`;
const resolvers = {
    Query: {
        getContextProperty(_, { key }, { cache, getCacheKey }) {
            try {
                const data = cache.readFragment({
                    fragment: EDITOR_CONTEXT_FRAGMENT,
                    id: getCacheKey({ __typename: 'Context', id: 1 }),
                });
                console.log('[ha5sb]: ', { data, cache });
                return data;
            }
            catch (err) {
                console.log('[ha5sb]: ', { error: err });
            }
        },
    },
    Mutation: {
        updateContext: (_, args, { cache }) => {
        },
    },
};
exports.resolvers = resolvers;


/***/ }),

/***/ "./src/graphql/schemas/index.ts":
/*!**************************************!*\
  !*** ./src/graphql/schemas/index.ts ***!
  \**************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const schema_graphql_1 = __importDefault(__webpack_require__(/*! ./schema.graphql */ "./src/graphql/schemas/schema.graphql"));
exports.schema = schema_graphql_1.default;


/***/ }),

/***/ "./src/graphql/schemas/schema.graphql":
/*!********************************************!*\
  !*** ./src/graphql/schemas/schema.graphql ***!
  \********************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony default export */ __webpack_exports__["default"] = ("\ninput ContextInput {\n    folder: String\n    \n    originalResourceScheme: scmResourceGroups\n    view: String\n    viewItem: String\n    gitOpenRepositoryCount: Int\n    isInDiffEditor: Boolean\n    isInDiffRightEditor: Boolean\n\n\n    ## resource\n    resourceScheme: String\n    resourceFilename: String\n    resourceLangId: String\n    resource: String\n    resourceExtName: String\n    resourceSet: Boolean\n    isFileSystemResource: Boolean\n\n    ## ContextKeys\n    inputFocus: Boolean\n\n    ## SuggestWidgetVisible\n    suggestWidgetVisible: Boolean\n    suggestWidgetMultipleSuggestions: Boolean\n    suggestionMakesTextEdit: Boolean\n    acceptSuggestionOnEnter: Boolean\n    hasOtherSuggestions: Boolean\n\n    ## fileCommands\n    groupFocusedInOpenEditors: Boolean\n    dirtyEditor: Boolean\n    resourceSelectedForCompare: Boolean\n\n    ## FileAction\n    fileCopied: Boolean\n\n    ## Breadcrums\n    breadcrumbsPossible: Boolean\n    breadcrumbsVisible: Boolean\n    breadcrumbsActive: Boolean\n\n    ## History\n    canNavigateBack: Boolean\n    canNavigateForward: Boolean\n    canNavigateToLastEditLocation: Boolean\n\n    ## DirtyDiffDecorator\n    dirtyDiffVisible: Boolean\n\n    ## keybinding cancellation\n    cancellableOperation: Boolean\n\n    ## SignatureHelp\n    parameterHintsVisible: Boolean\n    parameterHintsMultipleSignatures: Boolean\n\n    markdownPreviewFocus: Boolean\n\n    isMac: Boolean\n    isLinux: Boolean\n    isWindows: Boolean\n\n    remoteAuthority: String\n    remoteConnectionState: ProvidedRemoteConnectionStates\n    \n    hasMacNativeTabs: Boolean\n    supportsWorkspaces: Boolean\n    isDevelopment: Boolean\n    workbenchState: String\n    workspaceFolderCount: Int\n    remoteFileDialogVisible: Boolean\n    isFullscreen: Boolean\n\n    ## WordContextKey\n    atEndOfWord: Boolean\n\n\n    ## SCM\n    scmRepository: String\n    scmProvider: String\n    scmResourceGroup: scmResourceGroups\n\n    ## Code Editor\n    inDiffEditorKey: Boolean\n    isDominatedByLongLines: Boolean\n    isWordWrapMinified: Boolean\n\n    ## Comments\n    commentThread: String\n    commentThreadisEmpty: Boolean\n    commentIsEmpty: Boolean\n\n    ## CommentEditor\n    commentEditorFocused: Boolean\n\n    ## welcomeOverlay\n    interfaceOverviewVisible: Boolean\n\n    ##peekViewWidget\n    inReferenceSearchEditor: Boolean\n\n    ## referencesController\n    referenceSearchVisible: Boolean\n\n    ## listService\n    listFocus: Boolean\n    listSupportsMultiSelect: Boolean\n    listHasSelectionOrFocus: Boolean\n    listDoubleSelection: Boolean\n    listMultiSelection: Boolean\n    listSupportsKeyboardNavigation: Boolean\n    WorkbenchListAutomaticKeyboardNavigationKey: Boolean\n\n    ## accessiblityHelp\n    accessibilityHelpWidgetVisible: Boolean\n\n    ## quickopen\n    inQuickOpenKey: Boolean\n\n    ## codeActionModel\n    supportedCodeAction: String\n\n    ## rename input field\n    renameInputVisible: Boolean\n\n    ## goToDefinitionResultsNavigation\n    hasSymbols: Boolean\n\n    ## tabCompletion\n    hasSnippetCompletions: Boolean\n\n    ## Message\n    messageVisible: Boolean\n\n    ## CallHierarchy\n    editorHasCallHierarchyProvider: Boolean\n    callHierarchyVisible:Boolean\n\n    ## Notification\n    notificationCenterVisible: Boolean\n    notificationToastsVisible: Boolean\n    notificationFocus: Boolean\n\n    ## Search\n    searchViewletVisible: Boolean\n    searchViewletFocus: Boolean\n    inputBoxFocus: Boolean\n    searchInputBoxFocus: Boolean\n    replaceInputBoxFocus: Boolean\n    patternIncludesInputBoxFocus: Boolean\n    patternExcludesInputBoxFocus: Boolean\n    replaceActive: Boolean\n    hasSearchResult: Boolean\n    firstMatchFocus: Boolean\n    fileMatchOrMatchFocus: Boolean\n    fileMatchOrFolderMatchFocus: Boolean\n    fileMatchFocus: Boolean\n    folderMatchFocus: Boolean\n    matchFocus: Boolean\n\n    ## windowPicker\n    inRecentFilesPicker: Boolean\n    inWindowsPicker: Boolean\n\n    ## findModel\n    findWidgetVisible: Boolean\n    findInputFocussed: Boolean\n    replaceInputFocussed: Boolean\n\n    ## Editor\n    \"\"\"\n     A context key that is set when the editor's text has focus (cursor is blinking).\n    \"\"\"\n    editorTextFocus: Boolean\n    \"\"\"\n     A context key that is set when the editor's text or an editor's widget has focus.\n    \"\"\"\n    editorFocus: Boolean\n    \"\"\"\n     A context key that is set when any editor input has focus (regular editor, repl input...).\n    \"\"\"\n    textInputFocus: Boolean\n    editorReadonly: Boolean\n    editorHasSelection: Boolean\n    editorHasMultipleSelections: Boolean\n    editorTabMoveFocus: Boolean\n    isInEmbeddedEditor: Boolean\n    canUndo: Boolean\n    canRedo: Boolean\n    editorLangId: String\n    editorHasCompletionItemProvider: Boolean\n    editorHasCodeActionsProvider: Boolean\n    editorHasDefinitionProvider: Boolean\n    editorHasDeclarationProvider: Boolean\n    editorHasImplementationProvider: Boolean\n    editorHasTypeDefinitionProvider: Boolean\n    editorHasHoverProvider: Boolean\n    editorHadDocumentHighlightProvider: Boolean\n    editorHasDocumentSymbolProvider: Boolean\n    editorHasReferenceProvider: Boolean\n    editorHasRenameProvider: Boolean\n    editorHasSignatureHelpProvider: Boolean\n    editorHasDocumentFormattingProvider: Boolean\n    editorHasDocumentSelectionFormattingProvider: Boolean\n    editorHasMultipleDocumentSelectionFormattingProvider: Boolean\n    \n    ## Editor Groups\n    activeEditor: String\n    editorIsOpen: Boolean\n    editorPinned: Boolean\n    groupActiveEditorDirty: Boolean\n    groupEditorsCount: Int\n    textCompareEditorVisible: Boolean\n    textCompareEditorActive: Boolean\n    activeEditorGroupEmpty: Boolean\n    multipleEditorGroups: Boolean\n    inZenMode: Boolean\n    inCenteredLayout: Boolean\n    splitEditorsVertically: Boolean\n\n    ## Viewlet\n    sideBarVisible: Boolean\n    sideBarFocus: Boolean\n    activeViewlet: String\n\n    ## Panel\n    activePanel: String\n    panelFocus: Boolean\n    panelPosition: String\n\n    ## Debug\n    debugType: String\n    debugConfigurationType: String\n    debugState: String\n    inDebugMode: Boolean\n    inDebugRepl: Boolean\n    breakpointWidgetVisible: Boolean\n    watchExpressionsFocused: Boolean\n    variablesFocused: Boolean\n    expressionSelected: Boolean\n    breakpointSelected: Boolean\n    callStackItemType: Boolean\n    loadedScriptsSupported: Boolean\n    loadedScriptsItemType: Boolean\n    focusedSessionIsAttach: Boolean\n    stepBackSupported: Boolean\n    restartFrameSupported: Boolean\n\n    inSettingsEditor: Boolean\n    inSettingsJSONEditor: Boolean\n    inSettingsSearch: Boolean\n    settingsTocRowFocus: Boolean\n    inKeybindings: Boolean\n    inKeybindingsSearch: Boolean\n    keybindingFocus: Boolean\n\n    ## Context keys to use with keybindings for the Explorer and Open Editors view\n    explorerViewletVisible: Boolean\n    explorerResourceIsFolder: Boolean\n    explorerResourceReadonly: Boolean\n    explorerResourceIsRoot: Boolean\n    explorerResourceCut: Boolean\n    explorerResourceMoveableToTrash: Boolean\n    filesExplorerFocus: Boolean\n    openEditorsVisible: Boolean\n    openEditorsFocus: Boolean\n    explorerViewletFocus: Boolean\n\n    ## xterm\n    \"\"\"\n     A context key that is set when there is at least one opened integrated terminal.\n    \"\"\"\n    terminalIsOpen: Boolean\n    \"\"\"\n     A context key that is set when the integrated terminal has focus.\n    \"\"\"\n    terminalFocus: Boolean\n    \"\"\"\n     A keybinding context key that is set when the integrated terminal has text selected.\n    \"\"\"\n    terminalTextSelected: Boolean\n    \"\"\"\n     A context key that is set when the find widget in integrated terminal is visible.\n    \"\"\"\n    terminalFindWidgetVisible: Boolean\n    \"\"\"\n     A context key that is set when the find widget find input in integrated terminal is focused.\n    \"\"\"\n    terminalFindWidgetInputFocused: Boolean\n    \"\"\"\n     A context key that is set when the find widget in integrated terminal is focused.\n    \"\"\"\n    terminalFindWidgetFocused: Boolean\n\n    ## Webview\n    \"\"\"\n     Set when the find widget in a webview is visible\n    \"\"\"\n    webviewFindWidgetVisible: Boolean\n\n    ## Tasks\n    taskRunning: Boolean\n\n    ## referncesWidget\n    referenceSearchTreeFocused: Boolean\n\n    ## WarlkThroughPart\n    interactivePlaygroundFocus: Boolean\n\n    ## Document Symbols\n    outlineFiltered: Boolean\n    outlineFocused: Boolean\n\n    ## Markers\n    problemsViewFocus: Boolean\n    problemFocus: Boolean\n    problemsFilterFocus: Boolean\n    relatedInformationFocus: Boolean\n\n    ## Output\n    inOutput: Boolean\n    activeLogOutput: Boolean\n\n    ## ToggleMultiCursorModifier\n    multiCursorModifier: String\n\n    ## saveErrorHandler\n    saveConflictResolutionContext: Boolean\n\n    ## gotoError\n    markersNavigationVisible: Boolean\n\n    ## wordHighlighter\n    hasWordHighlights: Boolean\n\n    ## Extension\n    profileSessionState: String\n    extensionHostProfileRecorded: Boolean\n\n    ## ContextScopedHistoryWidget\n    historyNavigationEnabled: Boolean\n    historyNavigationWidget: Boolean\n\n    ## Extension Viewlet\n    nonEmptyWorkspace: Boolean\n    defaultExtensionViews: Boolean\n    searchMarketplaceExtensions: Boolean\n    searchInstalledExtensions: Boolean\n    searchOutdatedExtensions: Boolean\n    searchEnabledExtensions: Boolean\n    searchDisabledExtensions: Boolean\n    hasInstalledExtensions: Boolean\n    searchBuiltInExtensions: Boolean\n    recommendedExtensions: Boolean\n    defaultRecommendedExtensions: Boolean\n\n    ## ExtensionsActions\n    workspaceRecommendations: Boolean\n    workspaceFolderRecommendations: Boolean\n    addToWorkspaceRecommendations: Boolean\n    addToWorkspaceFolderRecommendations: Boolean\n\n}\ntype Context {\n    # folder: String\n    \n    originalResourceScheme: scmResourceGroups\n    view: String\n    viewItem: String\n    gitOpenRepositoryCount: Int\n    isInDiffEditor: Boolean\n    isInDiffRightEditor: Boolean\n\n\n    ## resource\n    resourceScheme: String\n    resourceFilename: String\n    resourceLangId: String\n    resource: String\n    resourceExtName: String\n    resourceSet: Boolean\n    isFileSystemResource: Boolean\n\n    ## ContextKeys\n    inputFocus: Boolean\n\n    ## SuggestWidgetVisible\n    suggestWidgetVisible: Boolean\n    suggestWidgetMultipleSuggestions: Boolean\n    suggestionMakesTextEdit: Boolean\n    acceptSuggestionOnEnter: Boolean\n    hasOtherSuggestions: Boolean\n\n    ## fileCommands\n    groupFocusedInOpenEditors: Boolean\n    dirtyEditor: Boolean\n    resourceSelectedForCompare: Boolean\n\n    ## FileAction\n    fileCopied: Boolean\n\n    ## Breadcrums\n    breadcrumbsPossible: Boolean\n    breadcrumbsVisible: Boolean\n    breadcrumbsActive: Boolean\n\n    ## History\n    canNavigateBack: Boolean\n    canNavigateForward: Boolean\n    canNavigateToLastEditLocation: Boolean\n\n    ## DirtyDiffDecorator\n    dirtyDiffVisible: Boolean\n\n    ## keybinding cancellation\n    cancellableOperation: Boolean\n\n    ## SignatureHelp\n    parameterHintsVisible: Boolean\n    parameterHintsMultipleSignatures: Boolean\n\n    markdownPreviewFocus: Boolean\n\n    isMac: Boolean\n    isLinux: Boolean\n    isWindows: Boolean\n\n    remoteAuthority: String\n    remoteConnectionState: ProvidedRemoteConnectionStates\n    \n    hasMacNativeTabs: Boolean\n    supportsWorkspaces: Boolean\n    isDevelopment: Boolean\n    workbenchState: String\n    workspaceFolderCount: Int\n    remoteFileDialogVisible: Boolean\n    isFullscreen: Boolean\n\n    ## WordContextKey\n    atEndOfWord: Boolean\n\n\n    ## SCM\n    scmRepository: String\n    scmProvider: String\n    scmResourceGroup: scmResourceGroups\n\n    ## Code Editor\n    inDiffEditorKey: Boolean\n    isDominatedByLongLines: Boolean\n    isWordWrapMinified: Boolean\n\n    ## Comments\n    commentThread: String\n    commentThreadisEmpty: Boolean\n    commentIsEmpty: Boolean\n\n    ## CommentEditor\n    commentEditorFocused: Boolean\n\n    ## welcomeOverlay\n    interfaceOverviewVisible: Boolean\n\n    ##peekViewWidget\n    inReferenceSearchEditor: Boolean\n\n    ## referencesController\n    referenceSearchVisible: Boolean\n\n    ## listService\n    listFocus: Boolean\n    listSupportsMultiSelect: Boolean\n    listHasSelectionOrFocus: Boolean\n    listDoubleSelection: Boolean\n    listMultiSelection: Boolean\n    listSupportsKeyboardNavigation: Boolean\n    WorkbenchListAutomaticKeyboardNavigationKey: Boolean\n\n    ## accessiblityHelp\n    accessibilityHelpWidgetVisible: Boolean\n\n    ## quickopen\n    inQuickOpenKey: Boolean\n\n    ## codeActionModel\n    supportedCodeAction: String\n\n    # ## rename input field\n    # renameInputVisible: Boolean\n\n    ## goToDefinitionResultsNavigation\n    hasSymbols: Boolean\n\n    ## tabCompletion\n    hasSnippetCompletions: Boolean\n\n    ## Message\n    messageVisible: Boolean\n\n    ## CallHierarchy\n    editorHasCallHierarchyProvider: Boolean\n    callHierarchyVisible:Boolean\n\n    # ## Notification\n    # notificationCenterVisible: Boolean\n    # notificationToastsVisible: Boolean\n    # notificationFocus: Boolean\n\n    ## Search\n    searchViewletVisible: Boolean\n    searchViewletFocus: Boolean\n    inputBoxFocus: Boolean\n    searchInputBoxFocus: Boolean\n    replaceInputBoxFocus: Boolean\n    patternIncludesInputBoxFocus: Boolean\n    patternExcludesInputBoxFocus: Boolean\n    replaceActive: Boolean\n    hasSearchResult: Boolean\n    firstMatchFocus: Boolean\n    fileMatchOrMatchFocus: Boolean\n    fileMatchOrFolderMatchFocus: Boolean\n    fileMatchFocus: Boolean\n    folderMatchFocus: Boolean\n    matchFocus: Boolean\n\n    ## windowPicker\n    inRecentFilesPicker: Boolean\n    inWindowsPicker: Boolean\n\n    ## findModel\n    findWidgetVisible: Boolean\n    findInputFocussed: Boolean\n    replaceInputFocussed: Boolean\n\n    ## Editor\n    \"\"\"\n     A context key that is set when the editor's text has focus (cursor is blinking).\n    \"\"\"\n    editorTextFocus: Boolean\n    \"\"\"\n     A context key that is set when the editor's text or an editor's widget has focus.\n    \"\"\"\n    editorFocus: Boolean\n    \"\"\"\n     A context key that is set when any editor input has focus (regular editor, repl input...).\n    \"\"\"\n    textInputFocus: Boolean\n    editorReadonly: Boolean\n    editorHasSelection: Boolean\n    editorHasMultipleSelections: Boolean\n    editorTabMoveFocus: Boolean\n    isInEmbeddedEditor: Boolean\n    canUndo: Boolean\n    canRedo: Boolean\n    editorLangId: String\n    editorHasCompletionItemProvider: Boolean\n    editorHasCodeActionsProvider: Boolean\n    editorHasDefinitionProvider: Boolean\n    editorHasDeclarationProvider: Boolean\n    editorHasImplementationProvider: Boolean\n    editorHasTypeDefinitionProvider: Boolean\n    editorHasHoverProvider: Boolean\n    editorHadDocumentHighlightProvider: Boolean\n    editorHasDocumentSymbolProvider: Boolean\n    editorHasReferenceProvider: Boolean\n    editorHasRenameProvider: Boolean\n    editorHasSignatureHelpProvider: Boolean\n    editorHasDocumentFormattingProvider: Boolean\n    editorHasDocumentSelectionFormattingProvider: Boolean\n    editorHasMultipleDocumentSelectionFormattingProvider: Boolean\n    \n    ## Editor Groups\n    activeEditor: String\n    editorIsOpen: Boolean\n    editorPinned: Boolean\n    groupActiveEditorDirty: Boolean\n    groupEditorsCount: Int\n    textCompareEditorVisible: Boolean\n    textCompareEditorActive: Boolean\n    activeEditorGroupEmpty: Boolean\n    multipleEditorGroups: Boolean\n    inZenMode: Boolean\n    inCenteredLayout: Boolean\n    splitEditorsVertically: Boolean\n\n    ## Viewlet\n    sideBarVisible: Boolean\n    sideBarFocus: Boolean\n    activeViewlet: String\n\n    ## Panel\n    activePanel: String\n    panelFocus: Boolean\n    panelPosition: String\n\n    ## Debug\n    debugType: String\n    debugConfigurationType: String\n    debugState: String\n    inDebugMode: Boolean\n    inDebugRepl: Boolean\n    breakpointWidgetVisible: Boolean\n    watchExpressionsFocused: Boolean\n    variablesFocused: Boolean\n    expressionSelected: Boolean\n    breakpointSelected: Boolean\n    callStackItemType: Boolean\n    loadedScriptsSupported: Boolean\n    loadedScriptsItemType: Boolean\n    focusedSessionIsAttach: Boolean\n    stepBackSupported: Boolean\n    restartFrameSupported: Boolean\n\n    inSettingsEditor: Boolean\n    inSettingsJSONEditor: Boolean\n    inSettingsSearch: Boolean\n    settingsTocRowFocus: Boolean\n    inKeybindings: Boolean\n    inKeybindingsSearch: Boolean\n    keybindingFocus: Boolean\n\n    ## Context keys to use with keybindings for the Explorer and Open Editors view\n    explorerViewletVisible: Boolean\n    explorerResourceIsFolder: Boolean\n    explorerResourceReadonly: Boolean\n    explorerResourceIsRoot: Boolean\n    explorerResourceCut: Boolean\n    explorerResourceMoveableToTrash: Boolean\n    filesExplorerFocus: Boolean\n    openEditorsVisible: Boolean\n    openEditorsFocus: Boolean\n    explorerViewletFocus: Boolean\n\n    ## xterm\n    \"\"\"\n     A context key that is set when there is at least one opened integrated terminal.\n    \"\"\"\n    terminalIsOpen: Boolean\n    \"\"\"\n     A context key that is set when the integrated terminal has focus.\n    \"\"\"\n    terminalFocus: Boolean\n    \"\"\"\n     A keybinding context key that is set when the integrated terminal has text selected.\n    \"\"\"\n    terminalTextSelected: Boolean\n    \"\"\"\n     A context key that is set when the find widget in integrated terminal is visible.\n    \"\"\"\n    terminalFindWidgetVisible: Boolean\n    \"\"\"\n     A context key that is set when the find widget find input in integrated terminal is focused.\n    \"\"\"\n    terminalFindWidgetInputFocused: Boolean\n    \"\"\"\n     A context key that is set when the find widget in integrated terminal is focused.\n    \"\"\"\n    terminalFindWidgetFocused: Boolean\n\n    ## Webview\n    \"\"\"\n     Set when the find widget in a webview is visible\n    \"\"\"\n    webviewFindWidgetVisible: Boolean\n\n    ## Tasks\n    taskRunning: Boolean\n\n    ## referncesWidget\n    referenceSearchTreeFocused: Boolean\n\n    ## WarlkThroughPart\n    interactivePlaygroundFocus: Boolean\n\n    ## Document Symbols\n    outlineFiltered: Boolean\n    outlineFocused: Boolean\n\n    ## Markers\n    problemsViewFocus: Boolean\n    problemFocus: Boolean\n    problemsFilterFocus: Boolean\n    relatedInformationFocus: Boolean\n\n    ## Output\n    inOutput: Boolean\n    activeLogOutput: Boolean\n\n    ## ToggleMultiCursorModifier\n    multiCursorModifier: String\n\n    ## saveErrorHandler\n    saveConflictResolutionContext: Boolean\n\n    ## gotoError\n    markersNavigationVisible: Boolean\n\n    ## wordHighlighter\n    hasWordHighlights: Boolean\n\n    ## Extension\n    profileSessionState: String\n    extensionHostProfileRecorded: Boolean\n\n    ## ContextScopedHistoryWidget\n    historyNavigationEnabled: Boolean\n    historyNavigationWidget: Boolean\n\n    ## Extension Viewlet\n    nonEmptyWorkspace: Boolean\n    defaultExtensionViews: Boolean\n    searchMarketplaceExtensions: Boolean\n    searchInstalledExtensions: Boolean\n    searchOutdatedExtensions: Boolean\n    searchEnabledExtensions: Boolean\n    searchDisabledExtensions: Boolean\n    hasInstalledExtensions: Boolean\n    searchBuiltInExtensions: Boolean\n    recommendedExtensions: Boolean\n    defaultRecommendedExtensions: Boolean\n\n    ## ExtensionsActions\n    workspaceRecommendations: Boolean\n    workspaceFolderRecommendations: Boolean\n    addToWorkspaceRecommendations: Boolean\n    addToWorkspaceFolderRecommendations: Boolean\n\n}\n\n\nenum scmProviders {\n    git\n}\n\nenum scmResourceGroups {\n    workingTree\n    merge\n    index\n}\n\nenum commentThread {\n    editable\n}\n\nenum ProvidedRemoteConnectionStates {\n    initializing\n    disconnected\n    connected\n}\n\nextend type Query {\n    getContextProperty(keys: [String]): Context\n    # getContextProperty(key: ContextInput): Context\n}\n\nextend type Mutation {\n    updateContext(input: ContextInput): Boolean\n}\n");

/***/ }),

/***/ "./src/index.ts":
/*!**********************!*\
  !*** ./src/index.ts ***!
  \**********************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const module_1 = __importDefault(__webpack_require__(/*! ./module */ "./src/module.ts"));
const client_react_1 = __webpack_require__(/*! @common-stack/client-react */ "@common-stack/client-react");
exports.default = new client_react_1.Feature(module_1.default);


/***/ }),

/***/ "./src/module.ts":
/*!***********************!*\
  !*** ./src/module.ts ***!
  \***********************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const client_react_1 = __webpack_require__(/*! @common-stack/client-react */ "@common-stack/client-react");
const layout_1 = __importDefault(__webpack_require__(/*! @workbench-stack/layout */ "@workbench-stack/layout"));
const modal_1 = __importDefault(__webpack_require__(/*! @workbench-stack/modal */ "@workbench-stack/modal"));
const components_1 = __webpack_require__(/*! @workbench-stack/components */ "@workbench-stack/components");
const settings_1 = __importDefault(__webpack_require__(/*! @workbench-stack/settings */ "@workbench-stack/settings"));
const output_browser_1 = __importDefault(__webpack_require__(/*! @workbench-stack/output-browser */ "@workbench-stack/output-browser"));
const graphql_1 = __webpack_require__(/*! ./graphql */ "./src/graphql/index.ts");
exports.default = new client_react_1.Feature(client_react_1.FeatureWithRouterFactory, layout_1.default, components_1.ThemeModule, modal_1.default, settings_1.default, output_browser_1.default, new client_react_1.Feature({
    clientStateParams: [{ resolvers: graphql_1.resolvers, typeDefs: graphql_1.schema }],
}));


/***/ }),

/***/ "@common-stack/client-react":
/*!*********************************************!*\
  !*** external "@common-stack/client-react" ***!
  \*********************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@common-stack/client-react");

/***/ }),

/***/ "@workbench-stack/components":
/*!**********************************************!*\
  !*** external "@workbench-stack/components" ***!
  \**********************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@workbench-stack/components");

/***/ }),

/***/ "@workbench-stack/layout":
/*!******************************************!*\
  !*** external "@workbench-stack/layout" ***!
  \******************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@workbench-stack/layout");

/***/ }),

/***/ "@workbench-stack/modal":
/*!*****************************************!*\
  !*** external "@workbench-stack/modal" ***!
  \*****************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@workbench-stack/modal");

/***/ }),

/***/ "@workbench-stack/output-browser":
/*!**************************************************!*\
  !*** external "@workbench-stack/output-browser" ***!
  \**************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@workbench-stack/output-browser");

/***/ }),

/***/ "@workbench-stack/settings":
/*!********************************************!*\
  !*** external "@workbench-stack/settings" ***!
  \********************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@workbench-stack/settings");

/***/ }),

/***/ "graphql-tag":
/*!******************************!*\
  !*** external "graphql-tag" ***!
  \******************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("graphql-tag");

/***/ })

/******/ });
//# sourceMappingURL=index.js.map